Page MenuHomePhabricator

Migrate PHP extensions building jobs to Nodepool
Closed, DeclinedPublic

Description

We have a bunch of PHP extensions we should migrate to Nodepool.

Jobs as of https://gerrit.wikimedia.org/r/286846

FastStringSearch-compile-hhvm
FastStringSearch-compile-php55
NativePreprocessor-compile-php55
luasandbox-compile-hhvm
luasandbox-compile-php55
wikidiff-compile-php55
wikidiff2-compile-hhvm
wikidiff2-compile-php55
wmerrors-compile-php55

The HHVM one should probably be build against Trusty and Jessie.

Related Objects

StatusAssignedTask
Resolvedhashar
Resolvedhashar
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJoe
Resolvedtstarling
ResolvedJoe
Resolvedkaldari
Resolvedjcrespo
ResolvedVolans
Resolvedaaron
InvalidNone
DeclinedNone
ResolvedLegoktm
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedori
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
InvalidNone
DeclinedNone
Resolvedhashar
Resolvedhashar

Event Timeline

hashar created this task.May 4 2016, 1:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 4 2016, 1:23 PM

Change 286846 had a related patch set uploaded (by Hashar):
Rename PHP extensions building jobs

https://gerrit.wikimedia.org/r/286846

hashar updated the task description. (Show Details)May 4 2016, 1:52 PM

Change 286846 merged by jenkins-bot:
Rename PHP extensions building jobs

https://gerrit.wikimedia.org/r/286846

hashar lowered the priority of this task from Normal to Low.May 25 2016, 10:13 AM
hashar added a comment.EditedMay 26 2016, 1:02 PM

Probably want to clear out the list of PHP extensions we still maintain/care about.

The Zend php test always exit 0. Doing some tweak/experiment with https://gerrit.wikimedia.org/r/290925

Self note:

./trigger-job.py --project mediawiki/php/FastStringSearch --job FastStringSearch-compile-php55-trusty & 
./trigger-job.py --project mediawiki/php/NativePreprocessor --job NativePreprocessor-compile-php55-trusty & 
./trigger-job.py --project mediawiki/php/luasandbox --job luasandbox-compile-php55-trusty & 
./trigger-job.py --project mediawiki/php/wikidiff --job wikidiff-compile-php55-trusty & 
./trigger-job.py --project mediawiki/php/wikidiff --job wikidiff2-compile-php55-trusty & 
./trigger-job.py --project mediawiki/php/wmerrors --job wmerrors-compile-php55-trusty & 
 
./trigger-job.py --project mediawiki/php/FastStringSearch --job FastStringSearch-compile-hhvm-trusty & 
./trigger-job.py --project mediawiki/php/luasandbox --job luasandbox-compile-hhvm-trusty & 
./trigger-job.py --project mediawiki/php/wikidiff --job wikidiff2-compile-hhvm-trusty &
hashar removed hashar as the assignee of this task.May 26 2016, 1:03 PM
hashar moved this task from In-progress to Backlog on the Continuous-Integration-Scaling board.
Paladox added a subscriber: Paladox.Jun 6 2016, 3:21 PM

Change 342632 had a related patch set uploaded (by Hashar):
[integration/config] Remove mediawiki/php/wikidiff (obsolete)

https://gerrit.wikimedia.org/r/342632

Change 342635 had a related patch set uploaded (by Hashar):
[operations/puppet] contint: PHP ext build dependencies on Nodepool

https://gerrit.wikimedia.org/r/342635

Change 342638 had a related patch set uploaded (by Hashar):
[integration/config] (WIP) massage php-compile

https://gerrit.wikimedia.org/r/342638

Change 342632 merged by jenkins-bot:
[integration/config] Remove obsolete PHP extensions

https://gerrit.wikimedia.org/r/342632

Change 342635 merged by Elukey:
[operations/puppet@production] contint: PHP ext build dependencies on Nodepool

https://gerrit.wikimedia.org/r/342635

Change 361706 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] Remove libtidy-dev from nodepool instances

https://gerrit.wikimedia.org/r/361706

Change 361706 merged by RobH:
[operations/puppet@production] Remove libtidy-dev from nodepool instances

https://gerrit.wikimedia.org/r/361706

EddieGP added a subscriber: EddieGP.Oct 1 2017, 8:29 PM
hashar closed this task as Declined.Feb 8 2018, 7:58 AM
hashar added a subscriber: Legoktm.

We would not migrate them to Nodepool instances but instead use Docker container to compile the PHP extensions. I think @Legoktm even wrote a patch for that already :}

Change 342638 abandoned by Hashar:
(WIP) massage php-compile

Reason:
Kunal migrated them to Docker containers and aced it.

https://gerrit.wikimedia.org/r/342638